RMagick インストール時にエラーが出た時のメモ

シェアする

ruby 入れなおした時に RMagick も必要なので gem install rmagick を実行したら以下のようなエラーが出た。

$ gem install rmagick
Fetching: rmagick-2.13.3.gem (100%)
Building native extensions.  This could take a while...
ERROR:  Error installing rmagick:
        ERROR: Failed to build gem native extension.

    /home/example/.rbenv/versions/2.1.4/bin/ruby extconf.rb
checking for Ruby version >= 1.8.5... yes
checking for gcc... yes
checking for Magick-config... no
Can't install RMagick 0.0.0. Can't find Magick-config in /home/example/.rbenv/versions/2.1.4/bin:...

*** extconf.rb failed ***

magick-config が無いらしい。これを解決するには libmagickwand-dev を入れると良いらしい。stackoverflow を見た。

$ sudo apt-get install libmagickwand-dev

この後再度 gem install するとちゃんとインストールできた。

$ gem install rmagick
Building native extensions.  This could take a while...
Please report any bugs. See https://github.com/gemhome/rmagick/compare/RMagick_2-13-2...master and https://github.com/rmagick/rmagick/issues/18
Successfully installed rmagick-2.13.3
Parsing documentation for rmagick-2.13.3
Installing ri documentation for rmagick-2.13.3
Done installing documentation for rmagick after 9 seconds
1 gem installed

これで RMagick が使える。

Sponsored Link

シェアする

フォローする